<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Bootstrap Grid System</title>

		<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
	</head>
	<body class="text-center">
		<h1>Bootstrap Introduction and Simple Styles</h1>

		<!-- Two column grid -->
		<h2>Two Columns</h2>

			<div class="container-fluid">
				<div class="text-light row">
					<h3 class="col-12 text-dark">1:1 Ratio</h3>

					<div class="bg-primary col-6 py-3 border border-dark">6 cols</div>
					<div class="bg-secondary col-6 py-3 border border-dark">6 cols</div>
				</div>

				<div class="text-light row">
					<h3 class="col-12 text-dark">1:3 Ratio</h3>

					<div class="bg-primary col-3 py-3 border border-dark">3 cols</div>
					<div class="bg-secondary col-9 py-3 border border-dark">9 cols</div>
				</div>
			</div>

		<h2>Three Columns</h2>

			<div class="container-fluid">
				<div class="text-light row">
					<h3 class="col-12 text-dark">1:1:1 Ratio</h3>

					<div class="bg-primary col-4 py-3 border border-dark">4 cols</div>
					<div class="bg-secondary col-4 py-3 border border-dark">4 cols</div>
					<div class="bg-success col-4 py-3 border border-dark">4 cols</div>
				</div>

				<div class="text-light row">
					<h3 class="col-12 text-dark">1:2:1 Ratio</h3>

					<div class="bg-primary col-3 py-3 border border-dark">3 cols</div>
					<div class="bg-secondary col-6 py-3 border border-dark">6 cols</div>
					<div class="bg-success col-3 py-3 border border-dark">3 cols</div>
				</div>

				<div class="text-light row">
					<h3 class="col-12 text-dark"> Uneven Ratio</h3>

					<div class="bg-primary col-3 py-3 border border-dark">3 cols</div>
					<div class="bg-secondary col-7 py-3 border border-dark">7 cols</div>
					<div class="bg-success col-2 py-3 border border-dark">2 cols</div>
				</div>
			</div>

			<h2>Automatic Sizing</h2>
			<div class="container-fluid">
				<div class="text-light row">
					<div class="bg-primary col py-3 border border-dark">Auto</div>
					<div class="bg-primary col py-3 border border-dark">Auto</div>
					<div class="bg-primary col py-3 border border-dark">Auto</div>
					<div class="bg-primary col py-3 border border-dark">Auto</div>
					<div class="bg-primary col py-3 border border-dark">Auto</div>
				</div>

				<div class="text-light row">
					<div class="col-6 bg-primary border border-dark">I am a column</div>
					<div class="col-6 bg-primary border border-dark">I am a column</div>
					<div class="col-6 bg-primary border border-dark">I am a column</div>
				</div>
			</div>

		<!-- Bootstrap JS -->
		<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

	</body>
</html>